Hello Perrin,

Am Freitag, den 10.11.2006, 15:29 -0500 schrieb Perrin Harkins:
> Sorry, I'm not sure what to suggest for your next step. Maybe contact
> the author of Scalar::Util. Or maybe recompile your system perl so it
> will support weak refs without installing a separate module.


I already searched for a possibility to compile perl supporting weak
refs directly, but I could not find the right compile-option until now.
In the meantime I testet the same issue with freebsd and macosx, without
errors :-(. So it really seems to be a gentoo-perl issue.

Thank you for your time, I will post here if there is a solution.

michael